## erlang-goldrush 0.2.0

=== Makefile ===
# See LICENSE for licensing information.

DIALYZER = dialyzer
REBAR = rebar
APPNAME = goldrush

all: app

app: deps
	@$(REBAR) compile

deps:
	@$(REBAR) get-deps

clean:
	@$(REBAR) clean
	rm -f test/*.beam
	rm -f erl_crash.dump

tests: clean app eunit ct

eunit:
	@$(REBAR) -C rebar.test.config eunit skip_deps=true

ct:
	@$(REBAR) -C rebar.test.config ct skip_deps=true

build-plt:
	@$(DIALYZER) --build_plt --output_plt .$(APPNAME)_dialyzer.plt \
		--apps kernel stdlib sasl inets crypto public_key ssl compiler syntax_tools

dialyze:
	@$(DIALYZER) --src src --plt .$(APPNAME)_dialyzer.plt --no_native \
		-Werror_handling -Wrace_conditions -Wunmatched_returns # -Wunderspecs

docs:
	@$(REBAR) doc skip_deps=true

## erlang-goldrush 0.1.6

=== debian/changelog ===
erlang-goldrush (0.1.6-2) unstable; urgency=medium

  * Add correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 00:08:03 +0200

erlang-goldrush (0.1.6-1) unstable; urgency=low

  * Initial release (Closes: #744882)

 -- Philipp Huebner <debalance@debian.org>  Tue, 15 Apr 2014 21:55:38 +0200

=== debian/control ===
Source: erlang-goldrush
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/DeadZen/goldrush


Package: erlang-goldrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: small Erlang app that provides fast event stream processing
 Goldrush is a small Erlang app that provides fast event stream processing
 .
 Features:
  * Event processing compiled to a query module
   - per module protected event processing statistics
   - query module logic can be combined for any/all filters
   - query module logic can be reduced to efficiently match event processing
  * Complex event processing logic
   - match input events with greater than (gt) logic
   - match input events with less than (lt) logic
   - match input events with equal to (eq) logic
   - match input events with wildcard (wc) logic
   - match input events with notfound (nf) logic
   - match no input events (null blackhole) logic
   - match all input events (null passthrough) logic
  * Handle output events
   - Once a query has been composed the output action can be overridden
     with an erlang function. The function will be applied to each
     output event from the query.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=rebar --with rebar

get-orig-source:
	dh_testdir
	wget -O ../erlang-goldrush_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/DeadZen/goldrush/archive/$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
version=3
http://githubredir.debian.net/github/DeadZen/goldrush/ (.*).tar.gz

## erlang-goldrush 0.1.7

=== debian/changelog ===
erlang-goldrush (0.1.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jul 2015 08:41:29 +0200

erlang-goldrush (0.1.7-1) experimental; urgency=medium

  * Imported Upstream version 0.1.7

 -- Philipp Huebner <debalance@debian.org>  Sun, 28 Jun 2015 17:57:02 +0200

erlang-goldrush (0.1.6-4) unstable; urgency=medium

  * Fixed FTBFS
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 19:15:17 +0200

erlang-goldrush (0.1.6-3) unstable; urgency=medium

  * Updated debian/watch
  * Updated years in debian/copyright
  * Updated Standards-Version: 3.9.6 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Apr 2015 09:50:09 +0200

## erlang-goldrush 0.1.8

=== debian/changelog ===
erlang-goldrush (0.1.8-1) unstable; urgency=medium

  * Imported Upstream version 0.1.8

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Dec 2015 09:11:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-goldrush
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-syntax-tools, erlang-eunit
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/DeadZen/goldrush
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-goldrush.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-goldrush.git
 
 Package: erlang-goldrush
 Architecture: any

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-goldrush_$1.tar.gz/" \
  https://github.com/DeadZen/goldrush/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-goldrush 0.1.9

=== debian/changelog ===
erlang-goldrush (0.1.9-4) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:41 +0100

erlang-goldrush (0.1.9-3) unstable; urgency=medium

  * Added erlang-base to Build-Depends
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 09:37:10 +0200

erlang-goldrush (0.1.9-2) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 11:38:14 +0200

erlang-goldrush (0.1.9-1) unstable; urgency=medium

  * Imported Upstream version 0.1.9
  * Updated debian/copyright
  * Improved watch file
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 May 2016 20:30:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: erlang-goldrush
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-syntax-tools, erlang-eunit
-Standards-Version: 3.9.6
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-crypto, erlang-syntax-tools, erlang-eunit
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/DeadZen/goldrush
-Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-goldrush.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-goldrush.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush
 
 Package: erlang-goldrush
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-goldrush


%:
	dh $@ --buildsystem=rebar --with rebar


get-orig-source:
	dh_testdir
	wget -O ../erlang-goldrush_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/DeadZen/goldrush/archive/$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-goldrush_$1.tar.gz/" \
  https://github.com/DeadZen/goldrush/releases .*/v?(\d\S*)\.tar\.gz

## erlang-goldrush 0.2.0

=== debian/changelog ===
erlang-goldrush (0.2.0-9) unstable; urgency=medium

  * Updated years in debian/copyright
  * Extended debian/upstream/metadata
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated lintian overrides
  * Dropped debian/erlang-goldrush.install
  * Renamed debian/erlang-goldrush.lintian-overrides
    -> debian/lintian-overrides
  * Renamed debian/erlang-goldrush.docs -> debian/docs

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:18:17 +0100

erlang-goldrush (0.2.0-8) unstable; urgency=medium

  [ Philipp Huebner ]
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 10:15:28 +0100

erlang-goldrush (0.2.0-7) unstable; urgency=medium

  * Test framework is wonky, so run it but don't fail the build

 -- Philipp Huebner <debalance@debian.org>  Tue, 02 Feb 2021 16:00:27 +0100

erlang-goldrush (0.2.0-6) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 17:22:51 +0100

erlang-goldrush (0.2.0-5) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 15:58:58 +0100

erlang-goldrush (0.2.0-4) unstable; urgency=medium

  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Added debian/erlang-goldrush.install
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 19:56:11 +0100

erlang-goldrush (0.2.0-3) unstable; urgency=medium

  * Updated debhelper compat version: 12
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 20:51:39 +0100

erlang-goldrush (0.2.0-2) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated years in debian/copyright
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * Updated debhelper compat version: 12
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:35:05 +0200

erlang-goldrush (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 19:40:33 +0200

erlang-goldrush (0.1.9-5) unstable; urgency=medium

  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 12:52:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,27 @@
 Source: erlang-goldrush
-Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-crypto, erlang-syntax-tools, erlang-eunit
-Standards-Version: 4.1.3
 Section: libs
+Priority: optional
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-rebar (>= 0.0.6),
+               erlang-base,
+               erlang-crypto,
+               erlang-syntax-tools,
+               erlang-eunit
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush.git
 Homepage: https://github.com/DeadZen/goldrush
-Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush.git
-Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-goldrush
 
 Package: erlang-goldrush
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: small Erlang app that provides fast event stream processing
  Goldrush is a small Erlang app that provides fast event stream processing
  .

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-goldrush


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Test framework is wonky, so run it but don't fail the build
	rebar eunit || true
endif
